package com.ruoyi.project.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 【请填写功能名称】对象 tp_para_select_item
 *
 * @author ruoyi
 * @date 2024-04-23
 */
@Data
public class TpParaSelectItem extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 参数ID
     */
    @Excel(name = "参数ID", i18nCode = "selectItem.paraId")
    private Long paraId;

    /**
     * 选项值
     */
    @Excel(name = "选项值", i18nCode = "selectItem.value")
    private String value;

    /**
     * 选项名称
     */
    @Excel(name = "选项名称", i18nCode = "selectItem.label")
    private String label;
    @Excel(name = "选项名称", i18nCode = "selectItem.labelUS")
    @TableField("labelUS")
    private String labelUS;
    @Excel(name = "选项名称", i18nCode = "selectItem.labelRU")
    @TableField("labelRU")
    private String labelRU;
    @Excel(name = "选项名称", i18nCode = "selectItem.labelES")
    @TableField("labelES")
    private String labelES;

    /**
     * 选项排序
     */
    @Excel(name = "选项排序", i18nCode = "selectItem.sortNumber")
    private Long sortNumber;
    @Excel(name = "选项编码", i18nCode = "selectItem.paraCode")
    private String paraCode;
    @Excel(name = "选项图片", i18nCode = "selectItem.paraPic")
    private String prarSource;

    /**
     * 删除标记（0：未删除  1：已删除）
     */
    private String delFlag;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setParaId(Long paraId) {
        this.paraId = paraId;
    }

    public Long getParaId() {
        return paraId;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getLabel() {
        return label;
    }

    public void setSortNumber(Long sortNumber) {
        this.sortNumber = sortNumber;
    }

    public Long getSortNumber() {
        return sortNumber;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("paraId", getParaId())
                .append("value", getValue())
                .append("label", getLabel())
                .append("sortNumber", getSortNumber())
                .append("delFlag", getDelFlag())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .append("remark", getRemark())
                .toString();
    }
}
